CEPH-IMMUTABLE-OBJECT-CACHE(8)

NAME
ceph-immutable-object-cache - Ceph daemon for immutable object cache

SYNOPSIS
ceph-immutable-object-cache

DESCRIPTION

ceph-immutable-object-cache is a daemon for object cache of RADOS objects among Ceph clusters. It will promote the objects to a local directory upon promote requests and future reads will be serviced from these cached objects.

It connects to local clusters via the RADOS protocol, relying on default search paths to find ceph.conf files, monitor addresses and authentication information for them, i.e. /etc/ceph/$cluster.conf, /etc/ceph/$cluster.keyring, and /etc/ceph/$cluster.$name.keyring, where $cluster is the human-friendly name of the cluster, and $name is the rados user to connect as, e.g. client.ceph-immutable-object-cache.

OPTIONS

    -c ceph.conf, --conf=ceph.conf
        Use ceph.conf configuration file instead of the default /etc/ceph/ceph.conf to determine monitor addresses during startup.

    -m monaddress[:port]
        Connect to specified monitor (instead of looking through ceph.conf).

    -i ID, --id ID
        Set the ID portion of name for ceph-immutable-object-cache

    -n TYPE.ID, --name TYPE.ID
        Set the rados user name for the gateway (eg. client.ceph-immutable-object-cache)

    --cluster NAME
        Set the cluster name (default: ceph)

    -d  Run in foreground, log to stderr

    -f  Run in foreground, log to usual location

AVAILABILITY

ceph-immutable-object-cache is part of Ceph, a massively scalable, open-source, distributed storage system. Please refer to the Ceph documentation at <https://docs.ceph.com> for more information.

SEE ALSO

rbd <>(8)

Copyright
2010-2014, Inktank Storage, Inc. and contributors. Licensed under Creative Commons Attribution Share Alike 3.0 (CC-BY-SA-3.0)